Ciele
Anbieter

Create an OpenAI-compatible Provider Connection

POST/api/v1/providers/openai-compatible

Erfordert einen API-Schlüssel der Organisation mit der Berechtigung „manageMembers“.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/providers/openai-compatible" \  -H "Content-Type: application/json" \  -d '{    "baseUrl": "string",    "chatModel": "string"  }'
{  "connection": {    "hasCredential": true,    "type": "api_key",    "id": "string",    "provider": "anthropic",    "organizationId": "string",    "createdAt": "string",    "config": {      "property1": null,      "property2": null    },    "displayName": "string",    "keyHint": "string",    "createdBy": null,    "preferredForEmbedding": true  },  "error": "string"}
{  "connection": {    "hasCredential": true,    "type": "api_key",    "id": "string",    "provider": "anthropic",    "organizationId": "string",    "createdAt": "string",    "config": {      "property1": null,      "property2": null    },    "displayName": "string",    "keyHint": "string",    "createdBy": null,    "preferredForEmbedding": true  },  "error": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}